> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yertle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh Token

> Refresh an access token using a refresh token.



## OpenAPI

````yaml post /auth/refresh
openapi: 3.1.0
info:
  title: Flow API
  description: Content-addressing backend with Git-like versioning
  version: 1.0.0
servers:
  - url: https://api.yertle.com
    description: Production
security: []
paths:
  /auth/refresh:
    post:
      tags:
        - authentication
      summary: Refresh Token
      description: Refresh an access token using a refresh token.
      operationId: refresh_token_auth_refresh_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RefreshTokenRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RefreshTokenResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RefreshTokenRequest:
      properties:
        refreshToken:
          type: string
          title: Refreshtoken
          description: Refresh token
      type: object
      required:
        - refreshToken
      title: RefreshTokenRequest
      description: Request model for token refresh.
    RefreshTokenResponse:
      properties:
        accessToken:
          type: string
          title: Accesstoken
          description: New access token
        tokenType:
          type: string
          title: Tokentype
          description: Token type (e.g. 'Bearer')
        expiresIn:
          type: integer
          title: Expiresin
          description: Access token lifetime in seconds
      type: object
      required:
        - accessToken
        - tokenType
        - expiresIn
      title: RefreshTokenResponse
      description: Response for POST /auth/refresh.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````